Main Page Widgets Namespaces Book

# main.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::PollFD
class | Glib::SignalTimeout
class | Glib::SignalIdle
class | Glib::SignalIO
class | Glib::MainContext
| Main context. More...
class | Glib::MainLoop
class | Glib::Source
class | Glib::TimeoutSource
class | Glib::IdleSource
class | Glib::IOSource

## Enumerations

enum | { PRIORITY_HIGH = -100, PRIORITY_DEFAULT = 0, PRIORITY_HIGH_IDLE = 100, PRIORITY_DEFAULT_IDLE = 200, PRIORITY_LOW = 300 }
enum | IOCondition { IO_IN, IO_OUT, IO_PRI, IO_ERR, IO_HUP, IO_NVAL }
| A bitwise combination representing an I/O condition to watch for on an event source. More...

## Functions

IOCondition | operator| (IOCondition lhs, IOCondition rhs)
IOCondition | operator& (IOCondition lhs, IOCondition rhs)
IOCondition | operator^ (IOCondition lhs, IOCondition rhs)
IOCondition | operator~ (IOCondition flags)
IOCondition& | operator|= (IOCondition& lhs, IOCondition rhs)
IOCondition& | operator&= (IOCondition& lhs, IOCondition rhs)
IOCondition& | operator^= (IOCondition& lhs, IOCondition rhs)
SignalTimeout | signal_timeout ()
| Convenience timeout signal.
SignalIdle | signal_idle ()
| Convenience idle signal.
SignalIO | signal_io ()
| Convenience I/O signal.